在 Ubuntu 16.04中,正确安装 Kali linux工具

・6 分钟阅读

问题

我想每个人都知道 - 需要安装katoolin,才能在Ubuntu上使用Kali Linux Tools。

下面是我的步骤:


apt-get install git


git clone https://github.com/LionSec/katoolin.git && cp katoolin/katoolin.py /usr/bin/katoolin


chmod +x /usr/bin/katoolin


sudo katoolin



然后添加Kali Linux存储库,并且更新它们,我从katoolin菜单中选择了选项1

但在那之后我得到了这个

unable to locate package webshag

有谁知道如何在Ubuntu 16.04中安装Kali Linux tools?


回答1

介绍

Katoolin从各种来源(包括apt和GitHub)中提取工具。Katoolin不知道运行在哪个平台上,所以,使用Katoolin最安全的方法是,一次一个工具的方式安装每个工具,每次检查该工具是否包含在默认的Ubuntu存储库中,安装完成后,应立即禁用Katoolin添加的软件源,以防止Katoolin在更新Ubuntu软件时,用自己的更新包替换从默认Ubuntu存储库安装的包。

安装Kali Linux工具

(重新)安装Katoolin如下:

  • 打开终端并键入:

    
    sudo apt install git 
    
    
    git clone https://github.com/LionSec/katoolin.git && sudo cp katoolin/katoolin.py /usr/bin/katoolin 
    
    
    
    
  • 使/usr/bin/katoolin可执行文件。

    
    sudo chmod +x /usr/bin/katoolin 
    
    
    
    
  • 按如下方式运行Katoolin你将看到Katoolin界面:

    
    sudo katoolin 
    
    
    
    
  • 所以,最好的选择是通过一系列不同的步骤安装Kali linux工具,

    如果要返回主菜单请在katoolin界面中键入gohome,现在选择选项3或4安装ClassicMenu指示器或Kali菜单,按y键继续,然后按Enter键开始设置。

    使用katoolin安装完Kali工具后,你可以按键盘组合ctrl c退出,然后会看到"goodbye"消息。

    shutdown requested....Goodbye...


回答2

在使用katoolin,并且添加存储库之后,安全运行sudo apt-get update,但是如果你不使用apt-get upgrade,则gnome和桌面将无法启动。

卡托林

  • 添加kali存储库&更新

  • 通过katoolin或你的终端更新你的apt-get

  • 安装所需的所有工具,之后通过从sources.listapt-key中删除kali repos来进行清理。

    如果发生任何错误它来自sources.list,这意味着你的Linux架构没有设计/可用的包或工具,或者必须更新katoolin本身,因为所有者更改了存储库。

    建议:

  • Katoolin开发人员保持联系。

  • 安装aptitude

    
    sudo apt-get install aptitude
    
    
    
    

    然后,搜索软件包候选项的要求,例如:

    
    aptitude search"?provides(wine)"
    
    
    
    

    了解有关aptitude的更多信息:dpkg和aptitude/apt有什么区别

  • 阅读关于之间的差异 unable to locate package & no candidates什么Package <包>没有安装候选意味着什么

  • 有一个分步解决方案可避免这里的崩溃: 我可以在Ubuntu上安装kali工具


回答3

在Ubuntu 16中编辑文件/usr/bin/katoolin,并且删除下面两个包的所有引用: dff和webshag,并保存文件。

再次执行katoolin -选择1,然后在此类型的back之后选择2,然后选择2然后键入0

对于我来说usb-modeswitch对于版本2.2.5 repack0-1ubuntu1仍然显示了错误,所以我使用来自ubuntuupdates.org的软件包

之后我再次执行katoolin -选择1然后2进行更新-之后输入back,并且选择2然后选择0开始安装。


回答4

我也遇到过
编辑文件/usr/bin/katoolin (例如,使用 sudo -H gedit usr/bin/katoolin )删除这两个包dff和webshag ,然后从apt-get命令中删除这两个包。


讨论
Tianye profile image